<?php

/** @var \ZondacryptoPay\Payment\PaymentResult $paymentResult */
/** @var string $error_message */
/** @var bool $error */

if($error) {
	echo $error_message;
	?>
	<br/>
	<a href="<?= get_home_url() ?>"> <?= __('Go back to home website', 'zondacryptopay') ?></a>

	<?php
} else {
	echo __('Please wait, in a minute you will be redirected to the zondacrypto pay payment gateway.', 'zondacryptopay');
	?>
	<br/><br/>
    <form method="POST" action="<?= $paymentResult->getUrl() ?>">
        <button type="submit" id="submit-payment-form"><?= __('Continue', 'zondacryptopay') ?></button>
    </form>

	<script type="text/javascript">
		document.addEventListener("DOMContentLoaded", function () {
			document.getElementById('submit-payment-form').click();
		})
	</script>
	<?php
}
